PUT Update organization settings
Update organization settings (admin permission required)
Update organization settings (admin permission required)
Authorization
BearerAuth AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/settings" \ -H "Content-Type: application/json" \ -d '{ "timezone": "Example timezone", "contact_email": "user@example.com", "name": "Example name", "description": "Example description", "logo_url": "https://example.com", "favicon_url": "https://example.com" }'{ "data": { "organization_id": "{organization_id}", "name": "string", "timezone": "string", "locale": "string", "support_email": "user@example.com", "settings": { "property1": "string", "property2": "string" }, "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}PUT Update branding settings PUT
Update organization branding settings (admin permission required)
GET Generate RLS compliance report GET
Verify Row Level Security (RLS) compliance and organization boundary isolation for the authenticated organization. This endpoint tests cross-tenant data access prevention and RLS policy enforcement.